//#####################################################################
// Copyright 2006-2008, Ron Fedkiw, Geoffrey Irving, Tamar Shinar, Eftychios Sifakis.
// This file is part of PhysBAM whose distribution is governed by the license contained in the accompanying file PHYSBAM_COPYRIGHT.txt.
//#####################################################################
#include <Deformables/Bindings/PARTICLE_BINDING.h>
#include <Core/Read_Write/READ_WRITE.h>
namespace PhysBAM{
//#####################################################################
// Function Read_Helper
//#####################################################################
template<class TV> void PARTICLE_BINDING<TV>::
Read_Helper(TYPED_ISTREAM& input)
{
    Get(input,'(');
    BINDING<TV>::Read_Helper(input);
    Read_Binary(input,parent);
    Get(input,')');
}
//#####################################################################
// Function Write_Helper
//#####################################################################
template<class TV> void PARTICLE_BINDING<TV>::
Write_Helper(TYPED_OSTREAM& output) const
{
    Beg(output,'(');
    BINDING<TV>::Write_Helper(output);
    Write_Binary(output,parent);
    End(output,')');
}
template class PARTICLE_BINDING<VECTOR<double,1> >;
template class PARTICLE_BINDING<VECTOR<double,2> >;
template class PARTICLE_BINDING<VECTOR<double,3> >;
template class PARTICLE_BINDING<VECTOR<float,1> >;
template class PARTICLE_BINDING<VECTOR<float,2> >;
template class PARTICLE_BINDING<VECTOR<float,3> >;
}
